Feedback must show up in watchlists
Closed, DeclinedPublic

Description

  • As a reader or inexperienced user with something to say about a page, I want the editors following it to see my feedback in a timely manner (or ever).
  • As an editor enabling feedback on a page, I want to be sure that the output can be acted upon by the appropriate people, rather than just pile up in a central queue checked only by a handful general-purpose reviewers acting as bottlenecks ([[Special:ArticleFeedbackv5]]).
  • As an editor interested in using feedback to improve pages I follow, I want to easily and immediately see all feedback to them in a single place so that all my energies are fruitfully spent acting on it. In an ideal world, I can spot new feedback in my normal workflow /and/ I can see/moderate said feedback without exiting my workflow (e.g. I have integrated popups) or with quick walks out (e.g. snippets + deeplinks to all possible actions).

In other words, users *must* be able to see feedback for their watchlisted pages, otherwise feedback is completely useless, on any wiki with more than 1 active user (severity: critical in consequence). See https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Article_Feedback_Tool/Version_5&diff=584051948&oldid=584042174 for what people are forced to do nowadays:

I have made a list of links to feedback pages that I want to monitor on my user page. To check them I just open a whole group in new tabs and close the tab if there is no new feedback (about 95% of the time) click no action for most of the rest and occasionally get something worthwhile, which I usually deal with immediately. It is a work around for something that should reasonably be automated, but it works. • • • Peter (Southwood) (talk): 13:46, 1 December 2013 (UTC)

The previous solution for this, though not reflecting the "ideal" above, was an ad hoc special page disabled until bug 39326 is fixed; the IMHO easier solution, though also not ideal without some improvements, is to use Special:Log properly so that items show up in Special:Watchlist (bug 44377).


Version: master
Severity: critical

Details

Reference
bz58956
bzimport raised the priority of this task from to Lowest.
bzimport set Reference to bz58956.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Dec 25 2013, 8:37 AM

Setting priority to High: I don't think the WMF will fix this, but if a volunteer or third-party dev ever happened to work on AFTv5, this is the first thing they have to look at.

[need-volunteer is Wikidata-specific (plus doesn't every bug need a volunteer?; not convinced by high priority and critical severity at all either but I'll leave that to devs.]

[Lowering priority to reflect reality, as AFTv5 is not very actively being worked on anymore.]

Jdforrester-WMF closed this task as Declined.Mar 5 2015, 10:03 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

All development work on AbuseFilter v.5 (and indeed, previous versions) is halted. The project is archived, so having open tasks is inappropriate. Consequently, I'm closing all tasks.

I still believe this is the one critical bug in the current non-design of AFT. Are the new maintainers interested?

If Special:Log is not feasible, an alternative is to use a central wiki page, as the Polish Wikipedia does (I already wrote about this elsewhere, let me know if you can't find).